does this work with 4.5? all i get is unable to connect when i try and chose my location or anything for that matter that i select. just woundering if i was missing something or it just not ready for 4.5 yet thank you